<?php
function smarty_modifier_specialchars($string)
{
	$string = str_replace("ä", "&auml;", $string);
	$string = str_replace("Ä", "&Auml;", $string);
	$string = str_replace("ö", "&ouml;", $string);
	$string = str_replace("Ö", "&Ouml;", $string);
	$string = str_replace("ü", "&uuml;", $string);
	$string = str_replace("Ü", "&Uuml;", $string);
	$string = str_replace("ß", "&szlig;", $string);
	$string = str_replace(" & ", " &amp; ", $string);
	$string = str_replace("€", "&euro;", $string);
	$string = str_replace("®", "&reg;", $string);
	$string = str_replace("©", "&copy;", $string);
	return $string;
}
?>
